#
# spec file for package kwin5
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define kf5_version 5.26.0
%bcond_without lang
Name:           kwin5
Version:        5.8.2
Release:        1.1
%{!?_plasma5_version: %global _plasma5_version %{version}}
Summary:        KDE Window Manager
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/plasma/%{version}/kwin-%{version}.tar.xz
# PATCH-FIX-UPSTREAM 0001-platformx-x11-Add-a-freeze-protection-against-OpenGL.patch boo#1005323 -- Adds a thread to detect kwin freezing and recover from it
Patch0:         0001-platformx-x11-Add-a-freeze-protection-against-OpenGL.patch
# PATCH-FIX-UPSTREAM 0002-platformx-x11-Add-a-freeze-protection-against-OpenGL.patch boo#1005323 -- Adds a thread to detect kwin freezing and recover from it
Patch1:         0002-platformx-x11-Add-a-freeze-protection-against-OpenGL.patch
# PATCH-FIX-UPSTREAM 0003-Remove-most-overhead-caused-by-the-freeze-detection-.patch boo#1005323 -- Use only one thread for all frames
Patch2:         0003-Remove-most-overhead-caused-by-the-freeze-detection-.patch
# PATCH-FIX-UPSTREAM 0004-Do-a-count-down-of-framesToTestForSafety.patch boo#1005323 -- Do a countdown instead of counting up
Patch3:         0004-Do-a-count-down-of-framesToTestForSafety.patch
# PATCH-FIX-UPSTREAM 0005-Use-only-one-timer-to-detect-freezes-and-other-optim.patch boo#1005323 -- Use only one timer 
Patch4:         0005-Use-only-one-timer-to-detect-freezes-and-other-optim.patch
# PATCH-FIX-UPSTREAM 0006-Test-3-frames-for-freezes-by-default.patch boo#1005323 -- Test only 3 frames by default, which is enough to detect freezes
Patch5:         0006-Test-3-frames-for-freezes-by-default.patch
# PATCH-FIX-UPSTREAM 0007-Only-call-PostLastGuardedFrame-when-OpenGLCompositin.patch boo#1005323 -- Only call PostLastGuardedFrame when OpenGLCompositing is set
Patch6:         0007-Only-call-PostLastGuardedFrame-when-OpenGLCompositin.patch
BuildRequires:  extra-cmake-modules >= 0.0.11
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
BuildRequires:  libQt5Core-private-headers-devel >= 5.4.0
BuildRequires:  libQt5Gui-private-headers-devel >= 5.4.0
BuildRequires:  libQt5PlatformSupport-private-headers-devel >= 5.4.0
BuildRequires:  libepoxy-devel
BuildRequires:  pkgconfig
BuildRequires:  xz
BuildRequires:  cmake(Breeze) >= %{_plasma5_version}
BuildRequires:  cmake(KDecoration2) >= %{_plasma5_version}
BuildRequires:  cmake(KF5Activities) >= %{kf5_version}
BuildRequires:  cmake(KF5Completion) >= %{kf5_version}
BuildRequires:  cmake(KF5Config) >= %{kf5_version}
BuildRequires:  cmake(KF5ConfigWidgets) >= %{kf5_version}
BuildRequires:  cmake(KF5CoreAddons) >= %{kf5_version}
BuildRequires:  cmake(KF5Crash) >= %{kf5_version}
BuildRequires:  cmake(KF5Declarative) >= %{kf5_version}
BuildRequires:  cmake(KF5DocTools) >= %{kf5_version}
BuildRequires:  cmake(KF5GlobalAccel) >= %{kf5_version}
BuildRequires:  cmake(KF5I18n) >= %{kf5_version}
BuildRequires:  cmake(KF5IconThemes) >= %{kf5_version}
BuildRequires:  cmake(KF5IdleTime) >= %{kf5_version}
BuildRequires:  cmake(KF5Init) >= %{kf5_version}
BuildRequires:  cmake(KF5KCMUtils) >= %{kf5_version}
BuildRequires:  cmake(KF5KIO) >= %{kf5_version}
BuildRequires:  cmake(KF5NewStuff) >= %{kf5_version}
BuildRequires:  cmake(KF5Notifications) >= %{kf5_version}
BuildRequires:  cmake(KF5Package) >= %{kf5_version}
BuildRequires:  cmake(KF5Plasma) >= %{kf5_version}
BuildRequires:  cmake(KF5Service) >= %{kf5_version}
BuildRequires:  cmake(KF5Wayland) >= %{_plasma5_version}
BuildRequires:  cmake(KF5WidgetsAddons) >= %{kf5_version}
BuildRequires:  cmake(KF5WindowSystem) >= %{kf5_version}
BuildRequires:  cmake(KF5XmlGui) >= %{kf5_version}
BuildRequires:  cmake(KScreenLocker) >= %{_plasma5_version}
BuildRequires:  cmake(Qt5Concurrent) >= 5.4.0
BuildRequires:  cmake(Qt5Core) >= 5.4.0
BuildRequires:  cmake(Qt5DBus) >= 5.4.0
BuildRequires:  cmake(Qt5Quick) >= 5.4.0
BuildRequires:  cmake(Qt5QuickWidgets) >= 5.4.0
BuildRequires:  cmake(Qt5Script) >= 5.4.0
BuildRequires:  cmake(Qt5UiTools) >= 5.4.0
BuildRequires:  cmake(Qt5Widgets) >= 5.4.0
BuildRequires:  cmake(Qt5X11Extras) >= 5.4.0
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(wayland-cursor) >= 1.2.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb) >= 1.10
BuildRequires:  pkgconfig(xcb-composite) >= 1.10
BuildRequires:  pkgconfig(xcb-cursor)
BuildRequires:  pkgconfig(xcb-damage) >= 1.10
BuildRequires:  pkgconfig(xcb-glx) >= 1.10
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb-randr) >= 1.10
BuildRequires:  pkgconfig(xcb-render) >= 1.10
BuildRequires:  pkgconfig(xcb-shape) >= 1.10
BuildRequires:  pkgconfig(xcb-shm) >= 1.10
BuildRequires:  pkgconfig(xcb-sync) >= 1.10
BuildRequires:  pkgconfig(xcb-xfixes) >= 1.10
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xkbcommon) >= 0.5.0
# new default decoration
Requires:       breeze5-decoration
# Needed for effects KCM at runtime
Requires:       libQt5Multimedia5
%requires_eq    libQt5Core5
%requires_eq    libQt5Gui5
Provides:       windowmanager
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%requires_ge Mesa-libEGL1
%requires_ge libKF5WindowSystem5
%requires_ge plasma-framework
%if 0%{?suse_version} != 1315 || 0%{?is_opensuse}
BuildRequires:  pkgconfig(wayland-egl)
%endif
%if 0%{?is_opensuse}
BuildRequires:  pkgconfig(libinput) >= 0.10
BuildRequires:  pkgconfig(libudev)
%endif
%if %{with lang}
Recommends:     %{name}-lang
%endif

%description
KWin is the window manager of the K desktop environment.

%package devel
Summary:        KDE Window Manager - development files
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}
Requires:       libkdecoration2-devel >= %{_plasma5_version}
Conflicts:      kdebase4-workspace-devel

%description devel
KWin is the window manager of the K desktop environment.
This package provides development files.

%lang_package

%prep
%setup -q -n kwin-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
  %cmake_kf5 -d build -- -DCMAKE_INSTALL_LOCALEDIR=%{_kf5_localedir}
  %make_jobs

%install
  %kf5_makeinstall -C build
%if %{with lang}
  %kf5_find_lang
%endif
  %fdupes %{buildroot}/%{_kf5_sharedir}/kwin/ %{buildroot}/%{_kf5_servicesdir}/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/kwin*
%config %{_kf5_configdir}/*.knsrc
%config %{_kf5_configdir}/org_kde_kwin.categories
%{_kf5_libdir}/kconf_update_bin/
%{_kf5_libdir}/libexec/
%{_kf5_libdir}/libkwin.so.*
%{_kf5_libdir}/libkdeinit5_kwin*.so
%{_kf5_libdir}/libkwin4_effect_builtins.so.*
%{_kf5_libdir}/libkwineffects.so.*
%{_kf5_libdir}/libkwingl*utils.so.*
%{_kf5_libdir}/libkwinxrenderutils.so.*
%{_kf5_plugindir}/
%{_kf5_qmldir}/
%{_kf5_sharedir}/config.kcfg/
%{_kf5_sharedir}/icons/hicolor/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/
%{_kf5_sharedir}/kwin/
%{_kf5_sharedir}/kwincompositing/
%{_kf5_notifydir}/
%doc %{_kf5_htmldir}/

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_kf5_prefix}/include/*.h
%{_kf5_libdir}/libkwin4_effect_builtins.so
%{_kf5_libdir}/libkwineffects.so
%{_kf5_libdir}/libkwingl*utils.so
%{_kf5_libdir}/libkwinxrenderutils.so
%{_kf5_libdir}/cmake/KWinDBusInterface/
%{_kf5_sharedir}/dbus-1/interfaces/

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
* Mon Oct 24 2016 alarrosa@suse.com
- Add 0001-platformx-x11-Add-a-freeze-protection-against-OpenGL.patch,
  0002-platformx-x11-Add-a-freeze-protection-against-OpenGL.patch,
  0003-Remove-most-overhead-caused-by-the-freeze-detection-.patch,
  0004-Do-a-count-down-of-framesToTestForSafety.patch,
  0005-Use-only-one-timer-to-detect-freezes-and-other-optim.patch,
  0006-Test-3-frames-for-freezes-by-default.patch and
  0007-Only-call-PostLastGuardedFrame-when-OpenGLCompositin.patch
  to detect freezes caused by broken nouveau opengl drivers and
  recover from that situation (boo#1003402, boo#1005323)
* Tue Oct 18 2016 fabian@ritter-vogt.de
- Update to 5.8.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.2.php
* Tue Oct 11 2016 fabian@ritter-vogt.de
- Update to 5.8.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.1.php
* Wed Oct  5 2016 fabian@ritter-vogt.de
- Add Source: URL back
* Thu Sep 29 2016 fabian@ritter-vogt.de
- Update to 5.8.0
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.0.php
- Removed patch (upstream): fix-build.patch
* Wed Sep 21 2016 wbauer@tmo.at
- kwin5 requires xkbcommon >= 0.5.0 now for building
* Tue Sep 20 2016 fabian@ritter-vogt.de
- Revert usage of %%{version} and define %%{_plasma5_version} if needed
  to make the same spec usable in KUF
* Thu Sep 15 2016 fabian@ritter-vogt.de
- Update to 5.7.95 (Plasma 5.8 Beta)
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.95.php
- Added patch: fix-build.patch
* Tue Sep 13 2016 fabian@ritter-vogt.de
- Update to 5.7.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.5.php
* Fri Aug 26 2016 fabian@ritter-vogt.de
- Update to 5.7.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.4.php
* Tue Aug  2 2016 hrvoje.senjan@gmail.com
- Update to 5.7.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.3.php
* Wed Jul 20 2016 hrvoje.senjan@gmail.com
- Update to 5.7.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.2.php
* Wed Jul 13 2016 hrvoje.senjan@gmail.com
- Update to 5.7.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.1.php
* Tue Jul  5 2016 wbauer@tmo.at
- Use the new %%kf5_find_lang macro to create the file list for the
  lang package
- Remove rpmlintrc file, it is not needed any more now
* Thu Jun 30 2016 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.0.php
* Sun May 15 2016 hrvoje.senjan@gmail.com
- Update to 5.6.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.4.php
* Tue Apr 19 2016 hrvoje.senjan@gmail.com
- Update to 5.6.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.3.php
* Tue Apr  5 2016 hrvoje.senjan@gmail.com
- Update to 5.6.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.2.php
* Tue Mar 29 2016 hrvoje.senjan@gmail.com
- Update to 5.6.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.1.php
- Drop upstreamed 0001-use-a-global-static-for-animation-ids.patch
* Thu Mar 24 2016 hrvoje.senjan@gmail.com
- Added 0001-use-a-global-static-for-animation-ids.patch
  (kde#360068, kde#352254)
* Sun Mar 20 2016 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.0.php
* Tue Mar  1 2016 hrvoje.senjan@gmail.com
- Update to 5.5.5 (boo#968966)
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.5.php
* Tue Jan 26 2016 hrvoje.senjan@gmail.com
- Update to 5.5.4:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.4.php
* Wed Jan  6 2016 hrvoje.senjan@gmail.com
- Update to 5.5.3:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.3.php
* Tue Dec 22 2015 hrvoje.senjan@gmail.com
- Update to 5.5.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.2.php
* Tue Dec 15 2015 hrvoje.senjan@gmail.com
- Update to 5.5.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.1.php
* Sat Dec 12 2015 hrvoje.senjan@gmail.com
- Update to 5.5.0:
  * For more details please see:
    https://dot.kde.org/2015/12/08/plasma-55-beautiful-new-artwork
- Move to cmake(...) BuildRequires where possible
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.4.3 (boo#955068):
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.3.php
* Sun Oct  4 2015 hrvoje.senjan@gmail.com
- Update to 5.4.2:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.2.php
* Wed Sep 16 2015 alarrosa@suse.com
- Remove the waylang-egl dependency in SLE-12 where the package
  is not available
- Use %%fdupes to link duplicated files and fix one rpmlint error
  and 16 warnings
* Thu Sep 10 2015 hrvoje.senjan@gmail.com
- Update to 5.4.1:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.1.php
* Mon Aug 24 2015 hrvoje.senjan@gmail.com
- Update to 5.4.0:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.0.php
* Sun Aug 16 2015 hrvoje.senjan@gmail.com
- Update to 5.3.95 aka 5.4 beta:
  This release of Plasma brings many nice touches for our users
  such as much improved high DPI support, KRunner auto-completion
  and many new beautiful Breeze icons. It also lays the ground for
  the future with a tech preview of Wayland session available.
  We're shipping a few new components such as an Audio Volume
  Plasma Widget, monitor calibration tool and the User Manager
  tool comes out beta.
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.95.php
- Drop geometry_fix.diff and port-session-management.diff, upstreamed
- Enable wayland integration unconditionally
* Sun Jul 26 2015 hrvoje.senjan@gmail.com
- Fix version checks regarding Leap versioning
* Thu Jul 16 2015 jos@opensuse.org
- Added geometry_fix.diff: fixes a resizing bug, see
  kde#348640 and also helps with
  https://github.com/Flupp/sticky-window-snapping/issues/1
* Sun Jun 28 2015 hrvoje.senjan@gmail.com
- Update to 5.3.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.2.php
- Drop set-still-required-xcb-properties-in-findRule.patch, merged
  upstream
* Fri Jun  5 2015 hrvoje.senjan@gmail.com
- Add set-still-required-xcb-properties-in-findRule.patch (kde#348472)
* Fri May 22 2015 hrvoje.senjan@gmail.com
- Update to 5.3.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.1.php
* Wed May 20 2015 hrvoje.senjan@gmail.com
- Update port-session-management.diff to latest version, and reapply it
* Sat May 16 2015 hrvoje.senjan@gmail.com
- Update port-session-management.diff, but comment it out - it has
  the desired effect for kdelibs4-based applications, but KF5-based
  ones aren't restored at all
* Wed May  6 2015 hrvoje.senjan@gmail.com
- Added port-session-management.diff: ports KWin part in the session
  management for Plasma 5 (kde#341930).
  There are still per application bugs.
  See https://git.reviewboard.kde.org/r/123580/
* Thu Apr 23 2015 hrvoje.senjan@gmail.com
- Update to 5.3 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.0.php
* Sat Apr 11 2015 hrvoje.senjan@gmail.com
- Update to 5.2.95 aka 5.3 beta:
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.95.php
- Update required Qt version to 5.4.0
- Update required KF5 version to 5.8.0
- Added libQt5Core-private-headers-devel, pkgconfig(x11-xcb) and
  pkgconfig(xcb-cursor) BuildRequires
- Drop pkgconfig(xcursor) BuildRequires
- Hardcode required libQt5Core5 due to usage of Qt5Core private
  headers (which don't guarantee ABI/API stability even in point
  releases)
- Drop the Obsoletes to oxygen5-decoration, the decoration is again
  part of 5.3 release
* Sat Apr  4 2015 auxsvr@gmail.com
- Added fix_nvidia.patch from upstrem to resolve kde#343551
* Thu Mar 19 2015 hrvoje.senjan@gmail.com
- Update to 5.2.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.2.php
* Thu Mar 19 2015 hrvoje.senjan@gmail.com
- Add explicit kiconthemes-devel BuildRequires
* Fri Feb 20 2015 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.1.php
- Drop patches merged upstream:
  0001-Trigger-rebuilding-of-quads-after-creating-a-new-Dec.patch,
  0001-use-xembed-for-the-qml-view-of-window-decorations-mo.patch,
  0002-Avoid-deleting-an-engine-whilst-components-from-our-.patch
  and 0003-Disable-libinput-integration-if-0.8-is-found.patch
* Thu Jan 29 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-Trigger-rebuilding-of-quads-after-creating-a-new-Dec.patch,
  0001-use-xembed-for-the-qml-view-of-window-decorations-mo.patch (kde#341971),
  0002-Avoid-deleting-an-engine-whilst-components-from-our-.patch and
  0003-Disable-libinput-integration-if-0.8-is-found.patch (kde#342893)
* Mon Jan 26 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.0.php
* Tue Jan 13 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Beta aka 5.1.95:
  * Undo changes to Plasma desktop layout
  * Smarter sorting of results in KRunner
  * Breeze window decoration theme adds a new look to your
    desktop and is now used by default
  * New white mouse cursor theme for Breeze.
  * New plasma widgets: 15 puzzle, web browser, show desktop
  * Over 300 bugs fixed throughout Plasma modules.
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.95.php
- BuildRequire Frameworks >= 5.6.0
- Drop fixed-data-type-for_KDE_NET_WM_BLUR_BEHIND_REGION.patch,
  merged upstream
- Add pkgconfig(libinput) and pkgconfig(libudev) BuildRequires on
  openSUSE >= 13.2
- Drop egl, gl and glesv2 BuildRequires, they are now only runtime
  requirements
- Require breeze5-decoration, new default decoration
- (Build)Require libkdecoration2-devel
- Drop libkdecorations5(-devel), obsoleted by new external library
- Drop baselibs.conf, there are no more relevant shlibs provided by
  kwin5
- Require Mesa-libEGL1, libQt5Gui5, libKF5WindowSystem5 and
  plasma-framework with minimal version kwin5 was compiled against
- Obsolete oxygen5-decoration
* Thu Dec 11 2014 hrvoje.senjan@gmail.com
- Update to 5.1.2:
  * Bugfix release
  * Drop check whether Compositing is enabled
  * Cleanup electric border handling in leaveMoveResize, kde#341673
  * Fix ui files
  * Require OpenGL 2.0 in the SceneOpenGL2 constructor, kde#340254
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.2.php
- Added fixed-data-type-for_KDE_NET_WM_BLUR_BEHIND_REGION.patch,
  kde#328817
* Thu Nov  6 2014 hrvoje.senjan@gmail.com
- Update to 5.1.1:
  * Bugfix release
  * Correcting Exec command in kwinscripts.desktop, kde#334177
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.1.php
* Sat Oct 25 2014 hrvoje.senjan@gmail.com
- Recommend lang subpackage
- BuildRequire components used for wayland backend only for >= 13.2
* Sun Oct 19 2014 hrvoje.senjan@gmail.com
- Adjust Qt5 buildrequires in the way they are explicitly searched
  in CMakeLists: add pkgconfig(Qt5Core) >= 5.3.0, drop
  pkgconfig(Qt5Gui) >= 5.3.0, pkgconfig(Qt5Network) >= 5.3.0 and
  pkgconfig(Qt5Qml) >= 5.3.0
* Thu Oct  9 2014 hrvoje.senjan@gmail.com
- Update to 5.1 Final:
  * Bugfixes since RC1
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.0.php
- Drop the sed version workaround from %%prep, and raise KF5
  BuildRequires to 5.3.0
- Raise KWayland BuildRequires to 5.1.0
* Fri Sep 26 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95:
  * Minor changes in internal kwayland usage
- Install translations
- BuildRequire kwayland-devel >= 5.0.95
- Raise BuildRequired KF5 versions to 5.2.0
- Install translations
- Add rpmlintrc file for file-not-in-%%lang warnings: we don't use
  find_lang macro as it doesn't searches in subdirectories
* Tue Sep 23 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95~git20140923 (rb8837b6):
  * Add support for explicit command stream synchronization
  * Add support for EGL_EXT_platform_x11
  * Add support for EGL_EXT_platform_wayland
  * Fix misaligned combo box in window rules kcm
  * Remove Client::getWMHints in favor of functionality in NETWinInfo
  * Add WM2Activities to supported properties
  * Refactor the swap completion interface
  * Add an X11EventFilter class
  * Add support for GLX in Xcb::Extensions
  * Add support for GLX_INTEL_swap_event
  * wayland_client and wayland_server moved to kwayland
- Add kwayland-devel BuildRequires
* Thu Sep 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95~git20140911 (r8a620e7):
  * Use libepoxy to resolve GL functions instead of manual resolving
  * Wayland backend improvements, and a new kwin_wayland binary
  * Various other bugfixes, improvements and cleanups
- Add libepoxy-devel BuildRequires
- BuildRequire pkgconfig(xkbcommon) only for openSUSE >= 1315
- Simplify filelists
* Mon Aug 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.1
  * Bugfix release
- Drop 0001-Drop-explicit-Qt5Widgets_EXECUTABLE_COMPILE_FLAGS.patch,
  upstreamed
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Plasma 5.0 Final
- Adjust BuildRequires depending whether Qt is built with openGL or open GL ES2
- Added 0001-Drop-explicit-Qt5Widgets_EXECUTABLE_COMPILE_FLAGS.patch
* Thu Jul  3 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * Plasma 5 RC release
- Drop adjust_kwin_name.diff, merged upstream
* Fri Jun 20 2014 hrvoje.senjan@gmail.com
- Install license
* Thu Jun  5 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0 - second beta of Plasma 5 release
- Drop update_to_latest_head.patch, contained in new release
* Tue Jun  3 2014 hrvoje.senjan@gmail.com
- Add baselibs.conf
- Add Source URL
- Added update_to_latest_head.patch, to sync with latest KF5 API
- Added adjust_kwin_name.diff,  use kwin_x11 for binary name, r118266
* Sun May 18 2014 hrvoje.senjan@gmail.com
- Activate kwin5 package
